Subject: Re: [PATCH 6/6] zlib: zlib can only process 4GB at a time

From: Jonathan Nieder <[email-masked]>
Date: Mon, 13 Jun 2011 06:52:22 -0500

Erik Faye-Lund wrote:

> Looking a bit more at the code, it seems that we currently use
> "unsigned long" a lot of places where "size_t" should have been used.

As Junio's comment about 32-bit platforms hints, when it comes to be
the time to change all those places, wouldn't off_t be a better
choice?

Thanks --- it is exciting to watch this topic move forward, inch by
inch.  And thanks for the hint about invalid word size == sizeof(long)
assumptions on Windows.